Loading...
Searching...
No Matches
osmo_tundev Struct Reference
Tun

## Data Fields

char * | name
struct osmo_netdev * | netdev
unsigned int | ifindex
char * | dev_name
bool | dev_name_dynamic
struct osmo_wqueue | wqueue
char * | netns_name
void * | priv_data
osmo_tundev_data_ind_cb_t | data_ind_cb
bool | opened

## Field Documentation

## data_ind_cb

osmo_tundev_data_ind_cb_t osmo_tundev::data_ind_cb

## dev_name

char* osmo_tundev::dev_name

## dev_name_dynamic

bool osmo_tundev::dev_name_dynamic

## ifindex

unsigned int osmo_tundev::ifindex

## name

char* osmo_tundev::name

## netdev

struct osmo_netdev* osmo_tundev::netdev

Referenced by tundev_dev_name_chg_cb(), tundev_ifupdown_ind_cb(), and tundev_mtu_chg_cb().

## netns_name

char* osmo_tundev::netns_name

## opened

bool osmo_tundev::opened

## priv_data

void* osmo_tundev::priv_data

## wqueue

struct osmo_wqueue osmo_tundev::wqueue

The documentation for this struct was generated from the following file:

- src/core/tun.c